Skip to content

Update Vehicle​

PATCH
/vehicles/{vehicleId}

Update a vehicle

Authorizations​

bearerAuth

Generate an API token here

Type
HTTP (bearer)

Parameters​

Header Parameters

compatibility-date*

API compatibility date in YYYY-MM-DD format. Must be a date after 2025-11-01.

Type
string
Required
Example"2025-11-02"
Pattern
^\d{4}-\d{2}-\d{2}$
organization-id*

Routes the request to the organization named by this ID. The bearer token must be authorized for that organization.

Type
string
Required
Example"3b241101-e2bb-4255-8caf-4136c566a962"
Min Length
1
Max Length
40

Path Parameters

vehicleId*
Type
string
Required

Request Body​

application/json

License plate of the vehicle.

Max Length15

Manufacturer of the vehicle.

Max Length50

Model of the vehicle.

Max Length50

Model year of the vehicle.

Minimum-9007199254740991
Maximum9007199254740991

Restricts where the vehicle can charge; the bound entity must belong to the vehicle organization.

Binding Effect
chargerId The vehicle can only charge at this charger.
locationId The vehicle can only charge at chargers installed at this location.
organizationId The vehicle can charge at any charger of this organization.

Responses​

success.vehicle.update

application/json

Playground​

Authorization
Headers
Variables
Key
Value
Body

Samples​